Subject: Re: Agent protocol

From: Damien Miller <[email-masked]>
Date: Mon, 05 May 2003 11:52:15 +1000

Simon Tatham wrote:

>     byte      SSH_AGENT_EXTENSION
>     string    extension id
>     ... extension-specific data follows ...
> 
> `extension id' will of course be allocated in the same way all other
> SSH string ids are done: anything with an @ in it belongs to the
> owner of the domain after the @. That way, I can safely invent
> extensions to the agent protocol in a namespace I can be sure nobody
> else will attempt to re-use for other purposes.
> 
> My vision of this message type is that it can be sent from client to
> agent _or_ from agent to client, depending on the extension. An
> agent should not be the first to send it, so a client can rely on
> not seeing strange unexpected extension messages in response to its
> requests; but if the client sends an extension message, the agent
> might need to respond with other extension messages if no existing
> response message is appropriate.

I strongly support an extension mechanism along such lines. We have 
generic extension mechanisms in place thoughout the protocol, so why not 
here?

-d